
 ==============================================================================
  CIMCO Edit V5 History
 ==============================================================================

  Changes made to CIMCO Edit version 5.50.08
  ================================================================ 05/02/09 ==

   - Added support for selecting layers when importing DXF files.

   - Added additional sample programs.

   - Updated Mazatrol viewer.

   NC-Base Changes
   ===============

   - Added option to lock programs when status set to 'Check Failed'.

     Ref: Database/Setup/Server Settings/Logging/
          Set Locked when 'Check Failed'

   - Added option to set programs read/write when status set to 'Check Failed'.

     Ref: Database/Setup/Server Settings/Logging/
          Read/Write when 'Check Failed'

   - Added option to disable the transfer limit counter when status set to
     'Checked'.

     Ref: Database/Setup/Server Settings/Logging/
          Disable Transfer Count on 'Checked'.

   - Added option to disable 'Updating', 'Running In', 'Ready' and
     'Approval Failed' status states.

     Ref: Database/Setup/Server Settings/Logging/Disable 'Approval Failed'

     Ref: Database/Setup/Server Settings/Logging/Disable 'Updating'
     
     Ref: Database/Setup/Server Settings/Logging/Disable 'Running In'
     
     Ref: Database/Setup/Server Settings/Logging/Disable 'Ready'

 ==============================================================================
   NOTICE: Valid maintenance is required to install this download!
 ==============================================================================

  Changes made to CIMCO Edit version 5.50.07
  ================================================================ 22/01/09 ==

   - Modified macro setup dialog to insert new macros at current position
     in the list.

   NC-Base Changes
   ===============

   - Added option to include user name in print headers.

     Ref: Database/Setup/Server Settings/Printing/User Name

   - Fixed problem using the Copy File function on newly imported programs.

   - Fixed problem with the configuration of 'Use Updated/Approved only'.

  Changes made to CIMCO Edit version 5.50.06
  ================================================================ 20/01/09 ==

   - Fixed problem with 'String not found' message not always shown on
     top of Editor.

   NC-Base Changes
   ===============

   - Fixed problem with some files being read-only when opened from NC-Base.

   - Fixed problem adding a program to NC-Base when the program directory
     did not exists.

  Changes made to CIMCO Edit version 5.50.05
  ================================================================ 19/01/09 ==

   - Added option to specify number of decimals used in the Mazatrol Viewer.

     Ref: Setup/Global Setup/Mazatrol Viewer Decimals

   - Added option to specify backplot lathe coordinate system orientation.

     Ref: Setup/Machine Type/Backplot/Orientation

   - Updated Mazatrol Viewer.

  Changes made to CIMCO Edit version 5.50.04
  ================================================================ 19/01/09 ==

   - Fixed crash in Mazatrol Viewer.

  Changes made to CIMCO Edit version 5.50.03
  ================================================================ 13/01/09 ==

   - Updated Mazatrol Viewer.

   - Added option to disable Mazatrol Viewer when using a license server.

   - Reset Demo period.

   - Fixed license server installation problem.

  Changes made to CIMCO Edit version 5.50.02
  ================================================================ 11/01/09 ==

   - Updated Mazatrol Viewer.

   - Updated backplot.

  Changes made to CIMCO Edit version 5.50.01
  ================================================================ 09/01/09 ==

   - Initial 5.5 release.

  Changes made to CIMCO Edit version 5.12.31
  ================================================================ 21/12/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.12.30
  ================================================================ 17/12/08 ==

   - Updated sample files.

  Changes made to CIMCO Edit version 5.12.29
  ================================================================ 14/12/08 ==

   - Added link to download the latest version of the Editor.

     Ref: Help/Download Latest Version

     Ref: Setup/Global/Hide 'Download Latest Version'

   NC-Base Changes
   ===============

   - Added 'SyncDir.log' log file when using the directory sync function.

   - Added NC-Base V3 to V5 converter (NCBaseV3toV5.exe).

   - Fixed problem auto importing locked files when using the 
     'Set Locked Offline' option.

  Changes made to CIMCO Edit version 5.12.28
  ================================================================ 10/12/08 ==

   - Fixed macro calculation problem when a macro was just added/changed.

  Changes made to CIMCO Edit version 5.12.27
  ================================================================ 08/12/08 ==

   - Added option to enable/disable 'wrapping' searches.

     Ref: Setup/Editor/Wrap Searches

   - Fixed problem using 'Save As' to add new programs to the database
     that caused file to be truncated to 1024 lines in some cases.

   NC-Base Changes
   ===============

   - Changed 'Modify Customer' dialog to stay open until user hits Cancel.

  Changes made to CIMCO Edit version 5.12.26
  ================================================================ 08/12/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.12.25
  ================================================================ 01/12/08 ==

   - Added '%U' option to print username in header/footers.

   - Added option to move locked files offline.

     Ref: Database/Setup/Machines/Advanced/Move Locked files offline

  Changes made to CIMCO Edit version 5.12.24
  ================================================================ 26/11/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.12.23
  ================================================================ 24/11/08 ==

   - Added CNC-Calc '+Z Programming' option to generate code for 
     sliding-head lathes.

   - Fixed problem synchronizing NC-Base associated files when using the 
     Synchonize folder functions.

   - Fixed problem saving the CNC-Calc '-X Programming' option.

   - Fixed problem with the 'Hide' button on the DNC send/receive status
     dialogs.

  Changes made to CIMCO Edit version 5.12.22
  ================================================================ 19/11/08 ==

   - Fixed problem selecting a new NC-Base machine group directory if 
     files should not be moved.     

   - Changed send/receive dialogs to stop transfer when selecting Cancel.

  Changes made to CIMCO Edit version 5.12.21
  ================================================================ 17/11/08 ==

   - MDC-Max update.

  Changes made to CIMCO Edit version 5.12.20
  ================================================================ 14/11/08 ==

   - Added support for adding and empty ISO or Mazatrol when adding a new
     program to NC-Base.

   - Fixed backplot arc problem.

  Changes made to CIMCO Edit version 5.12.19
  ================================================================ 10/11/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.12.18
  ================================================================ 04/11/08 ==

   - Added function to synchronize contents of NC-Base machine folders.

   - Added support for exporting holes from CNC-Calc drilling cycles.

   - Added option to hide formula results for individual macros.

   - Improved NC-Base move base directory / move folder functions.

   - Changed behavior to set focus to unsaved window when using 'Close All'

   - Fixed problem with the macro functions acos() and asin().

  Changes made to CIMCO Edit version 5.12.17
  ================================================================ 27/10/08 ==

   - Fixed problem with the macro functions acos(), asin() and atan().

   - Fixed problem saving the "Hide NC-Assistant formula" settting.
    
  Changes made to CIMCO Edit version 5.12.16
  ================================================================ 20/10/08 ==

   - DNC-Max update.
    
  Changes made to CIMCO Edit version 5.12.15
  ================================================================ 19/10/08 ==

   - Added option to allow only administrators access to the NC-Base
     system log.

     Ref: Database/Setup/Server/Other/System log only visible to administrators

   - Added NC-Base user group permission to determine if the user is allowed
     to edit File Notes.

     Ref: Database/Setup/User Groups/Edit File Notes

  Changes made to CIMCO Edit version 5.12.14
  ================================================================ 16/10/08 ==

   - Fixed macro calculation error when spcifying an input value starting
     with .

  Changes made to CIMCO Edit version 5.12.13
  ================================================================ 16/10/08 ==

   - Added option to send files store with non-standard linefeed characters
     like 13,10,10 etc.
     
     Ref: 'Send files with non-standard CR/LF'

   - Added option to hide NC-Assistant formula results.

     Ref: Setup/Global/Hide NC-Assistant formula results

   - Added support for using the 'As Specified' for the number of decimals
     used when outputting formula results.

   - Updated CNC-Calc.

   - Fixed problem with locked status being exported wrong when exporting
     NC-Base program list.

   - Fixed problem opening .DXF files in CNC-Calc from Windows Explorer.

   - Fixed problem when restoring old backups without program information
     and the 'Backup program information' option was enabled.

   - Fixed problem with the macro parameter 'Digits' when 'As Specified'
     what selected for the number of decimals.

  Changes made to CIMCO Edit version 5.12.12
  ================================================================ 14/10/08 ==

   - Fixed problem updating file after updating program info when adding
     a new program to NC-Base.
     
   - Fixed incorrect NC-Base 'Programs Must be Checked' message.     
    
  Changes made to CIMCO Edit version 5.12.11
  ================================================================ 08/10/08 ==

   - DNC-Max update.
    
  Changes made to CIMCO Edit version 5.12.10
  ================================================================ 07/10/08 ==

   - Fixed problem selecting a directory in the directory browser dialog.

  Changes made to CIMCO Edit version 5.12.09
  ================================================================ 06/10/08 ==

   - DNC-Max update.
    
  Changes made to CIMCO Edit version 5.12.08
  ================================================================ 05/10/08 ==

   - DNC-Max update.
    
  Changes made to CIMCO Edit version 5.12.07
  ================================================================ 02/10/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.12.06
  ================================================================ 01/10/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.12.05
  ================================================================ 29/09/08 ==

   - Updated Mazak Mazatrol viewer.

   NC-Base Changes
   ===============

   - Added option change NC-Base filetypes.

  Changes made to CIMCO Edit version 5.12.04
  ================================================================ 22/09/08 ==

   - DNC-Max update.
    
  Changes made to CIMCO Edit version 5.12.03
  ================================================================ 19/09/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.12.02
  ================================================================ 18/09/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.12.01
  ================================================================ 15/09/08 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.99
  ================================================================ 12/09/08 ==

   - Updated backplot.

   NC-Base Changes
   ===============

   - Added error message when trying to send a program from the NC-Base client
     that had reached its transfer limit.

   - Added option to lock programs when status set to 'Approval Failed'.

     Ref: Database/Setup/Server Settings/Logging/
          Set Locked when 'Approval Failed'

   - Fixed duplicate entries for ignored imports in the NC-Base search dialog.

   - Fixed problem with NC-Base preview header showing partial file size/
     time stamps. (Introduced in 5.11.87).

  Changes made to CIMCO Edit version 5.11.98
  ================================================================ 11/09/08 ==

   - Fixed crash when starting editor if an invalid macro was defined.

   - Fixed problem defining macros that used input paramters in formulas
     only.

   NC-Base Changes
   ===============

   - Added option to prevent operators with permissions to unlock
     programs from sending a locked program without unlocking it first.
   
     Ref: Database/Setup/Server Settings/Advanced/Never send 'Locked' files

   - Added separate log messages when auto import file is identical to the
     existing file.

   - Added option to disable the transfer counter when changing program
     status to approved.

     Ref: Database/Setup/Server Settings/Logging/Disable Transfer Count 
          on Approve

   - Added option to use only Updated/Approved in the status system.

     Ref: Database/Setup/Server Settings/Logging/Use 'Updated' / 'Approved' 
          only

   - Fixed problem opening some associated file types.

   - Fixed problem updating MS SQL tables to ver. 5.00.08

   - Fixed version problem on memo/setup/tool files when auto importing and
     existing file.

  Changes made to CIMCO Edit version 5.11.97
  ================================================================ 10/09/08 ==

   - Updated Backplot view buttons for G18/G19 views.

   NC-Base Changes
   ===============

   - Added option specify the default Transfer Limit Count.
     
     Ref: Database/Setup/Server Settings/Advanced/Default Transfer Limit Count

   - Added option retore program fields when restoring a program.
     
     Ref: Database/Setup/Server Settings/Advanced/Backup program information

   - Added information about restored version in the log.

                                                              NC-Base: 5.00.08

  Changes made to CIMCO Edit version 5.11.96
  ================================================================ 08/09/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.95
  ================================================================ 03/09/08 ==

   - Fixed incorrect help text for info variables on the macro setup
     page.

   - Fixed automatic language selecting problem in the NC-Base server.

   - Fixed problem opening some large associated files from NC-Base.

  Changes made to CIMCO Edit version 5.11.94
  ================================================================ 26/08/08 ==

   - Added 'Add Function' and 'Add User Input' buttons to the macro 
     setup dialog.

   - Fixed OEM installation problem.

  Changes made to CIMCO Edit version 5.11.93
  ================================================================ 25/08/08 ==

   - Updated CNC-Calc.

   - Updated NC-Base toollist.

   - Added constant 'PI' to NC-Assistant formulas.

  Changes made to CIMCO Edit version 5.11.92
  ================================================================ 21/08/08 ==

   - Added support for formulas in the NC-Assistant.

   - Updated CNC-Calc.

   NC-Base Changes
   ===============

   - Fixed problem using \SPC in NC-Base tool list trigger.

  Changes made to CIMCO Edit version 5.11.91
  ================================================================ 20/08/08 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.90
  ================================================================ 14/08/08 ==

   - DNC-Max / MDC-Max update.

  Changes made to CIMCO Edit version 5.11.89
  ================================================================ 13/08/08 ==

   - Updated CNC-Calc.

   - Fixed problem printing in some cases when NC-Base header print was 
     active.  

  Changes made to CIMCO Edit version 5.11.88
  ================================================================ 05/08/08 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.87
  ================================================================ 01/08/08 ==

   - Updated CNC-Calc.

   - Fixed Japanese font issue on NC-Assistant balloons.

  Changes made to CIMCO Edit version 5.11.86
  ================================================================ 31/07/08 ==

   NC-Base Changes
   ===============

   - Added support for importing comments from Camlink 3.5 Mazatrol Files.

   - Fixed problem with NC-Base setting associated files read-only in
     some cases when 'Use read-only system' was disabled.

  Changes made to CIMCO Edit version 5.11.85
  ================================================================ 30/07/08 ==

   - Fixed Japanese font issue on the backplot tool list.

   NC-Base Changes
   ===============

   - Added confirmation dialog when setting programs read-only/read-write and
     locked/unlocked.

   - Added option to un-lock NC-Base program when rejecting a program on the
     import queue.

     Ref: NC-Base/Setup/Server/Un-lock when rejecting imports

   - Fixed problem locking received programs when auto receive set was
     set to lock received program and global setting was unlock.

   - Fixed problem with transfer limit ignorred when sending from the
     NC-Base client to Directory Monitor port.

  Changes made to CIMCO Edit version 5.11.84
  ================================================================ 29/07/08 ==

   - DNC-Max / MDC-Max update.

  Changes made to CIMCO Edit version 5.11.83
  ================================================================ 25/07/08 ==

   - DNC-Max / MDC-Max update.

  Changes made to CIMCO Edit version 5.11.82
  ================================================================ 22/07/08 ==

   - Updated backplot.

   - Fixed problem with 360 degrees arcs in CNC-Calc.

  Changes made to CIMCO Edit version 5.11.81
  ================================================================ 17/07/08 ==

   - Added option to print file modified time, database modified time and
     'Modified by' on NC-Base print headers.

     Ref: Database/Setup/Server Settings/Printing

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.80
  ================================================================ 15/07/08 ==

   - Updated backplot.

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.79
  ================================================================ 07/07/08 ==

   - Added option in CNC-Calc to specify maximum angle of generated arcs.

   - Updated backplot.

   - Reduce Editor startup time.

   - Fixed problem with overwriting DXF files in CNC-Calc.

   NC-Base Changes
   ===============

   - Increased size of 'Add Change Comment' dialog.

   - Fixed problem saving DSN password when using MS SQL.

  Changes made to CIMCO Edit version 5.11.78
  ================================================================ 26/06/08 ==

   - Updated CNC-Calc.

   - Fixed problem with the backplot background 'No Gradient' option
     being inverted.

  Changes made to CIMCO Edit version 5.11.77
  ================================================================ 19/06/08 ==

   - Added option to disable gradient backgrounds in the backplot.

     Ref: Setup/Global Setup/Global Colors/No Gradient

   NC-Base Changes
   ===============

   - Changed NC-Base to set the locked status when copying a program to
     the same as the original program when the user does not have permissions
     to un-lock programs.

   - Fixed problem with program file being read only after over writing
     an existing program file.

  Changes made to CIMCO Edit version 5.11.76
  ================================================================ 18/06/08 ==

   - DNC-Max / MDC-Max update.

  Changes made to CIMCO Edit version 5.11.75
  ================================================================ 11/06/08 ==

   - Fixed Heidenhain CYCL 7 backplot issue.

  Changes made to CIMCO Edit version 5.11.74
  ================================================================ 11/06/08 ==

   - DNC-Max / MDC-Max update.

  Changes made to CIMCO Edit version 5.11.73
  ================================================================ 10/06/08 ==

   - Updated backplot.

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.72
  ================================================================ 02/06/08 ==

   - Updated backplot.

   - Updated CNC-Calc.

   NC-Base Changes
   ===============

   - Improved error messages when creating an NC-Base backup.

  Changes made to CIMCO Edit version 5.11.71
  ================================================================ 23/05/08 ==

   - Fixed backplot toolbar problem (introduced in 5.11.70).

  Changes made to CIMCO Edit version 5.11.70
  ================================================================ 22/05/08 ==

   - Added Cancel button on the base directory move dialog.

   - Updated backplot.

   - Fixed crash in some cases when using the /plot & /minimalplot options.

   NC-Base Changes
   ===============

   - Added option to un-lock NC-Base program when accepting a program on the
     import queue.

     Ref: NC-Base/Setup/Server/Un-lock when accepting imports

  Changes made to CIMCO Edit version 5.11.69
  ================================================================ 15/05/08 ==

   - Updated backplot.

   NC-Base Changes
   ===============

   - Added option to extract FAPT comments in the NC-Base program format
     setup using the extract option 'First program comment'

     Ref: NC-Base/Setup/Machines/Program Format/First program comment

  Changes made to CIMCO Edit version 5.11.68
  ================================================================ 07/05/08 ==

   - Updated backplot.

  Changes made to CIMCO Edit version 5.11.67
  ================================================================ 01/05/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.66
  ================================================================ 23/04/08 ==

   - Added button to start the Windows Calculator.

   - Updated CNC-Calc.

   - Fixed problem with measuring in backplot turning mode.

  Changes made to CIMCO Edit version 5.11.65
  ================================================================ 09/04/08 ==

   - Added keyboard shortcut to upper case text (CTRL+U).

   - Updated CNC-Calc.

   - Updated backplot.

  Changes made to CIMCO Edit version 5.11.64
  ================================================================ 02/04/08 ==

   - Removed 'Max column indicator' from Mazatrol previews.

  Changes made to CIMCO Edit version 5.11.63
  ================================================================ 31/03/08 ==

   - Updated installation.

  Changes made to CIMCO Edit version 5.11.62
  ================================================================ 29/03/08 ==

   - Added support for sending files opened in the editor directly to 
     DNC-Max.

     Ref: Setup/DNC-Max Client/Allow users to send 'Local Files'

   - Added option to send files stored on the client PC to DNC-Max

     Ref: Setup/DNC-Max Client/Allow users to send 'Local Files'

     Ref: DNC-Max Client/Send Data in Current Window

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.61
  ================================================================ 24/03/08 ==

   - Updated CNC-Calc.

   - Improved NC-Assistant layout.

  Changes made to CIMCO Edit version 5.11.60
  ================================================================ 18/03/08 ==

   - Added option to the NC-Assistant to not insert empty lines when
     a parameter was not specified.

     Ref: NC Functions/Macro Setup/Do not insert empty lines

   - Changed NC-Assistant to scale input fields to fit text lengths.

   - Updated CNC-Calc.

   - Updated backplot.

   NC-Base Changes
   ===============

   - Added option to enable/disable version reports.

     Ref: Database/Setup/Client Settings/Advanced/Show 'Version Reports'

   - Fixed problem with backing up large databases.

  Changes made to CIMCO Edit version 5.11.59
  ================================================================ 09/03/08 ==

   - Added option to specify NC-Base tool trigger as an advanced trigger.

   - Updated backplot.

   - Updated CNC-Calc.

   - Fixed problem backing up deleted files in NC-Base that were moved to the
     offline folder.
  
   - Fixed problem with the NC-Base integrity check showing an incorrect
     'File deleted' message.

  Changes made to CIMCO Edit version 5.11.58
  ================================================================ 05/03/08 ==

   - Updated backplot.

  Changes made to CIMCO Edit version 5.11.57
  ================================================================ 03/03/08 ==

   - Added support for specifying alternate names for NC commands
     in the backplot.

     Ref: Setup/Backplot/Map letters

   - Added option to specify the directory uses to store delete files in
     NC-Base.

     Ref: Database/Setup/Server Setting/Other/Delete files directory

   - Updated backplot MillPlus, Fagor and Haas support.

   - Fixed problem with toolpaths not always shown in the backplot. 

  Changes made to CIMCO Edit version 5.11.56
  ================================================================ 25/02/08 ==

   - Added option to disable Editor modules from the command line.
   
     Disable NC-Base by specifying /NOBASE on the command line.
     Disable CNC-Calc by specifying /NOCALC on the command line.
     Disable Backplot by specifying /NOPLOT on the command line.
     Disable Backplot by specifying /NOPLOT on the command line.
     Disable Math/Macros by specifying /NONC on the command line.

   - Added Cutoff in CNC-Calc turning.

   - Changed CNC-Calc to add files to the recent list when opening a file.

   - Added field in the NC-Base Advanced search options to search
     all fields in the database.

   - Added option to disable NC-Base by specifying /NOBASE on the 
     command line.

   - Fixed problem generating NC-Base version reports.

  Changes made to CIMCO Edit version 5.11.55
  ================================================================ 18/02/08 ==

   - Added option to Copy / Paste program info in NC-Base.

     Ref: Right Click/Copy Program Info

     Ref: Right Click/Paste Program Info

   - Updated NC-Base tool list generator.

   - Fixed problem with the 'Confirm Program Exit' option.

  Changes made to CIMCO Edit version 5.11.54
  ================================================================ 11/02/08 ==

   - Fixed crash when file contained very long macros.

  Changes made to CIMCO Edit version 5.11.53
  ================================================================ 10/02/08 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.52
  ================================================================ 04/02/08 ==

   - Added option to restart block numbers on lines starting with the specified
     trigger.
     
     Ref: Setup/Block Numbers/Restart on lines starting with

  Changes made to CIMCO Edit version 5.11.51
  ================================================================ 03/02/08 ==

   - DNC-Max / MDC-Max update.

  Changes made to CIMCO Edit version 5.11.50
  ================================================================ 29/01/08 ==

   - Added thousand separator to line number and file size indicator.
   
   - Updated CNC-Calc.

   - Fixed crash in CNC-Calc when loading threading parameter file.

   - Fixed problem when adding file to NC-Base that was located in the
     program directory but not using the same drive specification as
     the destination file.

  Changes made to CIMCO Edit version 5.11.49
  ================================================================ 15/01/08 ==

   - DNC-Max / MDC-Max update.

  Changes made to CIMCO Edit version 5.11.48
  ================================================================ 10/01/08 ==

   - Updated NC-Base tool list generator.

  Changes made to CIMCO Edit version 5.11.48
  ================================================================ 10/01/08 ==

   - Added threading in CNC-Calc turning.

  Changes made to CIMCO Edit version 5.11.47
  ================================================================ 07/01/08 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.46
  ================================================================ 19/12/07 ==

   - Added 'Save' button to the Mini DNC receive dialog.

  Changes made to CIMCO Edit version 5.11.45
  ================================================================ 03/12/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.44
  ================================================================ 30/11/07 ==

   - Added grooving support in CNC-Calc turning.

   - Fixed problem receiving files with the CIMCODNC.EXE utility.

  Changes made to CIMCO Edit version 5.11.43
  ================================================================ 20/11/07 ==

   - Updated CNC-Calc.

   - Updated backplot.

  Changes made to CIMCO Edit version 5.11.42
  ================================================================ 15/11/07 ==

   - Fixed crash when generating a version report (introduced in 5.11.40).

  Changes made to CIMCO Edit version 5.11.41
  ================================================================ 15/11/07 ==

   - Fixed crash when creating a new file (introduced in 5.11.40).

  Changes made to CIMCO Edit version 5.11.40
  ================================================================ 14/11/07 ==

   - Added error message when trying to copy a NC-Base program to itself.

   - Added support for generating 'Version Reports' in NC-Base.

  Changes made to CIMCO Edit version 5.11.39
  ================================================================ 09/11/07 ==

   - Added option to specify a range for the values that should be updated
     when modifying the feed/speed of a program.

   - Backplot updated.

   - Fixed problem with find next/previous tool change with some machine
     types.

  Changes made to CIMCO Edit version 5.11.38
  ================================================================ 05/11/07 ==

   - Updated backplot.

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.37
  ================================================================ 01/11/07 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.36
  ================================================================ 28/10/07 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.35
  ================================================================ 19/10/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.34
  ================================================================ 15/10/07 ==

   - Added column in NC-Base view to show if import is waiting.

   - Updated CNC-Calc.

   - Changed NC-Base to lock existing program when adding a program to the
     import queue and 'Lock All' is selected.

  Changes made to CIMCO Edit version 5.11.33
  ================================================================ 11/10/07 ==

   - Added name of machine that send/received a file to the NC-Base log.

   - Updated CNC-Calc.

   - Fixed problem with , being replaced with . just after pressing decimal
     character on the numeric keypad.

  Changes made to CIMCO Edit version 5.11.32
  ================================================================ 28/09/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.31
  ================================================================ 24/09/07 ==

   - Increased length of Search / Replace strings.

   - Fixed problem with the auto save option when using NC-Base.

  Changes made to CIMCO Edit version 5.11.30
  ================================================================ 13/09/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.29
  ================================================================ 13/09/07 ==

   - Added support for extracting Mazak Matrix program comments in NC-Base.

   - Added option to specify a 'From address' in the NC-Base backup server.

  Changes made to CIMCO Edit version 5.11.28
  ================================================================ 07/09/07 ==

   - Fixed problem updating NC-Base when opening database files from
     Windows Explorer

  Changes made to CIMCO Edit version 5.11.27
  ================================================================ 07/09/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.26
  ================================================================ 06/09/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.25
  ================================================================ 04/09/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.24
  ================================================================ 03/09/07 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.23
  ================================================================ 21/08/07 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.22
  ================================================================ 20/08/07 ==

   - Added command line option to select the language: /lang=XX

   - Fixed problem Adding/Updating the NC-Base memo file.

  Changes made to CIMCO Edit version 5.11.21
  ================================================================ 01/08/07 ==

   - Added option enable/disable print of header on the first page.

     Ref: Setup/Printer Setup/Print header on first page

   - Increased maximum number of lines in macros to 2000.

   - Updated CNC-Calc.

   - Fixed problem with CNC-Calc diameter programming.

   - Fixed problem detecting corrupted Unicode files.

   - Fixed problem when printing the filename on the NC-Base print
     header.

   - Fixed problem with auto import creating temporary files when
     importing information from an associated file, and the
     associated file was not found.
  
  Changes made to CIMCO Edit version 5.11.20
  ================================================================ 18/07/07 ==
  
   - Added 'Yes To All' / 'No To All' when updating NC-Base associated 
     files.

   - Updated NC-Base tool list generator.
  
   - Fixed problem with the CNC-Calc toolbars.

   - Fixed problem receiving file into existing window.
   
  Changes made to CIMCO Edit version 5.11.19
  ================================================================ 17/07/07 ==
   
   - Updated CNC-Calc.

   - Fixed problem opening files in the editor when clicking on a file
     in the DNC-Max client log inside CIMCO Edit.

   - Fixed problem associating setup/tool/memo files in some cases.

   - Fixed crash when previewing some files in NC-Base.

  Changes made to CIMCO Edit version 5.11.18
  ================================================================ 01/07/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.17
  ================================================================ 28/06/07 ==

   - MDC-Max update.

  Changes made to CIMCO Edit version 5.11.16
  ================================================================ 24/06/07 ==

   - Updated backplot.

  Changes made to CIMCO Edit version 5.11.15
  ================================================================ 18/06/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.14
  ================================================================ 13/06/07 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.13
  ================================================================ 12/06/07 ==

   - Added support for specifying multiple 'Field Folders' in NC-Base.

     Ref: Database/Setup/Server Settings/Other

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.12
  ================================================================ 31/05/07 ==

   - Updated backplot.

   - Updated CNC-Calc.

   - Fixed problem importing some DXF files in CNC-Calc.

  Changes made to CIMCO Edit version 5.11.11
  ================================================================ 14/05/07 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.10
  ================================================================ 11/05/07 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.09
  ================================================================ 10/05/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.11.08
  ================================================================ 07/05/07 ==

   - Updated backplot.

   - Fixed problem with CNC-Calc diameter programming.

  Changes made to CIMCO Edit version 5.11.07
  ================================================================ 15/04/07 ==

   - MDC-Max update.

  Changes made to CIMCO Edit version 5.11.06
  ================================================================ 15/04/07 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.05
  ================================================================ 05/04/07 ==

   - Fixed problem with the CNC-Calc contour.

  Changes made to CIMCO Edit version 5.11.04
  ================================================================ 02/04/07 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.11.03
  ================================================================ 29/03/07 ==

   - Added option to specify alternate block number character.

     Ref: Setup/Block Numbers/Alternate block number character

  Changes made to CIMCO Edit version 5.11.02
  ================================================================ 28/03/07 ==

   - MDC-Max update.

  Changes made to CIMCO Edit version 5.11.01
  ================================================================ 26/03/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.99
  ================================================================ 20/03/07 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.10.98
  ================================================================ 16/03/07 ==

   - Updated NC-Base program/file log.

   - Updated CNC-Calc.

   - Fixed problem with file notes when auto importing existing associated
     files into NC-Base.

   - Fixed problem with the option to keep version number when changing 
     status.

  Changes made to CIMCO Edit version 5.10.97
  ================================================================ 12/03/07 ==

   - Added option to always use CIMCO Edit when opening NC-Base program files.

     Ref: Database/Setup/Client Settings/Disable external editors for programs

  Changes made to CIMCO Edit version 5.10.96
  ================================================================ 11/03/07 ==

   - Added option to change the program name when accepting imported NC-Base 
     programs using 'Accept Import File As'.

   - Updated DNC to prompt users to discard files received with errors.

   - Updated CNC-Calc.

   - Updated backplot.

   - Fixed problem with the DNC recently received file list.

   - Fixed problem with the NC-Base backup purge function not active.

  Changes made to CIMCO Edit version 5.10.95
  ================================================================ 03/03/07 ==

   - Added NC-Base option to limit the number of time a file can be send.

     Ref: Database/Setup/Server Settings/Advanced/Use 'Transfer Limit Counter'

   - Fixed problem generating pocket and contour operations in CNC-Calc.

  Changes made to CIMCO Edit version 5.10.94
  ================================================================ 20/02/07 ==

   - Added automatic backup when manually receiving into NC-Base using the
     editor DNC.

   - Fixed problem with the 'Restore Latest Version' button not working.

  Changes made to CIMCO Edit version 5.10.93
  ================================================================ 13/02/07 ==

   - Added option to disable storing editor file types in NC-Base.

     Ref: Database/Setup/Server Settings/Do not store editor file types in db

   - Added option to keep version number when changing status.

     Ref: Database/Setup/Server Settings/Logging/
	  No new version when setting status

   - Updated CNC-Calc

  Changes made to CIMCO Edit version 5.10.92
  ================================================================ 11/02/07 ==

   - Added support for receiving files into NC-Base when using the Editor DNC.

   - Updated CNC-Calc.

   - Changed NC-Base add program dialog to use values from existing program
     when replacing with a new program.

   - Changed 'Tool Change' command to allow specifying M6 etc.

   - Fixed problem with the 'Remember last cursor position'

   - Fixed crash when loading file when using some languages.

  Changes made to CIMCO Edit version 5.10.91
  ================================================================ 29/01/07 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.90
  ================================================================ 27/01/07 ==

   - Added CNC-Calc turning roughing cycles.

   - Fixed problem running external converters on files on the import queue.

  Changes made to CIMCO Edit version 5.10.89
  ================================================================ 23/01/07 ==

   - Changed files on the NC-Base import queue to read/write.

   - Fixed problem with updating the NC-Base program info from the file.
     (Introduced in 5.10.86).

   - Fixed NC-Base version problem with associated files.

   - Fixed problem updating customer information when renaming a program
     on the import queue.

  Changes made to CIMCO Edit version 5.10.88
  ================================================================ 18/01/07 ==

   - Added support for undoing string replace operations on large files.

   - Fixed problem with the 'Match string' option in the insert/remove
     string feature.
  
  Changes made to CIMCO Edit version 5.10.87
  ================================================================ 16/01/07 ==
  
   - Added option to search for regular expressions with the insert/remove
     string feature.

  Changes made to CIMCO Edit version 5.10.86
  ================================================================ 15/01/07 ==
  
   - Added support for saving files under a sub-directory named after one
     of the NC-Base fields.

     Ref: Database/Setup/Server Settings/Use Field Folders

   - Added option to synchronize the program created/modified time with
     the created/modified time of the associated program file.

     Ref: Database/Setup/Maintenance/Set Modified Date

     Ref: Database/Setup/Maintenance/Set Created Date

   - Updated DXF reader in CNC-Calc.

   - Updated backplot.

   - Fixed problem changing customer multiple times when adding a program
     to NC-Base using customer folder.

   - Fixed problem updating customer folders when changing machine group.

   - Fixed problem updating program info when overwriting an existing program
     in NC-Base.

   - Fixed problem copying associated files between programs.

   - Fixed NC-Base version problem with programs on the import/approval 
     queue.

  Changes made to CIMCO Edit version 5.10.85
  ================================================================ 29/12/06 ==
  
   - Updated backplot.

   - Fixed problem modifying the name of programs on the import queue.

  Changes made to CIMCO Edit version 5.10.84
  ================================================================ 20/12/06 ==

   - Added option to copy or link associated files in NC-Base.

   - Updated CNC-Calc.

   - Fixed problem using the NC-Base 'Update program info from file' and
     'Update file info from program' options.

   - Fixed problem with buttons missing from NC-Base toolbar in some cases.

  Changes made to CIMCO Edit version 5.10.83
  ================================================================ 04/12/06 ==

   - Added support for saving file compare result to a file.

  Changes made to CIMCO Edit version 5.10.82
  ================================================================ 03/12/06 ==

   - Added option to restore NC-Base SQL dump files.

   - Added support for renaming programs on the NC-Base import queue.

   - Updated backplot.

   - Fixed problem opening import files when more than one import per
     program was enabled.

  Changes made to CIMCO Edit version 5.10.81
  ================================================================ 26/11/06 ==

   - Updated backplot.

  Changes made to CIMCO Edit version 5.10.80
  ================================================================ 23/11/06 ==

   - Added support for extracting Mazatrol program/work numbers in
     the NC-Base program format setup.

     Ref: Database/Setup/Machine/Program Format/Extract From : Mazak ...

   - Added support for sending multiple programs from NC-Base.

   - Added option to use wildcards in NC-Base program searches only.

     Ref: Database/Setup/Client Settings/Search Settings/
	  Always use wildcard in program searches

   - Updated CNC-Calc.

   - Updated backplot.

   - Fixed problem sorting by part number when using the NC-Base 
     Family of parts options with MS SQL.

   - Fixed problem when NC-Base only an end trigger was specified in
     the program format setup.

   - Fixed problem with NC-Base program version updated when saving an 
     unchanged file.

  Changes made to CIMCO Edit version 5.10.79
  ================================================================ 10/11/06 ==

   - Updated CNC-Calc.

   - Fixed misleading NC-Base log entry when received file was read-only.

   - Fixed problem when NC-Base auto logout was performed and one or more
     files were open.

   - Fixed crash in the CNC-Calc pocket operation.

   - Fixed crash in the CNC-Calc facing operation.

  Changes made to CIMCO Edit version 5.10.78
  ================================================================ 04/11/06 ==

   - Internal release.   

  Changes made to CIMCO Edit version 5.10.77
  ================================================================ 02/11/06 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.76
  ================================================================ 01/11/06 ==

   - Added message in NC-Base to confirm rejection of imported programs.

   - Updated CNC-Calc

   - Updated Backplot

   - Fixed crash when using 'Close other windows' on Backplot or CNC-Calc tab.

  Changes made to CIMCO Edit version 5.10.75
  ================================================================ 30/10/06 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.74
  ================================================================ 29/10/06 ==

   - Added additional turning functions to CNC-Calc.

   - Fixed CNC-Calc compensation problem.

  Changes made to CIMCO Edit version 5.10.73
  ================================================================ 29/10/06 ==

   - Internal release.

  Changes made to CIMCO Edit version 5.10.72
  ================================================================ 24/10/06 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.72
  ================================================================ 23/10/06 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.71
  ================================================================ 11/10/06 ==

   - Changed file dialog to preserve the file case to prevent problems
     when selecting files stored on UNIX file servers.

  Changes made to CIMCO Edit version 5.10.70
  ================================================================ 04/10/06 ==

   - Added option to specify the locations of the machine type configuration
     files (*.mac).

     Ref: Setup/Global/Plugins/Type file path

   - Changed NC-Base to prevent user from overwriting existing read-only
     programs when adding a new program unless the user has permissions
     to set programs read-write.

   - Updated backplot.

  Changes made to CIMCO Edit version 5.10.69
  ================================================================ 28/09/06 ==

   - Updated backplot.

   - Fixed CNC-Calc crash.

   - Fixed problem with missing text on the NC-Base 'Add Program' dialog.

  Changes made to CIMCO Edit version 5.10.68
  ================================================================ 21/09/06 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.67
  ================================================================ 13/09/06 ==
  
   - Fixed problem defining a new changed comment with the same description as
     a previously deleted comment.

  Changes made to CIMCO Edit version 5.10.66
  ================================================================ 10/09/06 ==
  
   - Added support for importing multiple part numbers when using the
     NC-Base 'Family of parts' option.

   - Updated CNC-Calc.
  
   - Updated Backplot.

   - Changed the NC-Base setting 'Add new edit programs' to be a local
     configuration option.

   - Fixed problem auto importing NC-Base files into customer folders.

   - Fixed crash creating NC-Base tool lists.

   - Fixed problem with the path updating incorrectly when adding a new 
     program to NC-Base.

   - Fixed problem with the 'Move program file to machine directory' on
     the NC-Base 'Add new program' dialog.

   - Fixed problem changing NC-Base password from the menu when no password
     was specified for the user.

   - Fixed problem specifying the 'Max line' value when using multi line
     NC-Base program information triggers.

  Changes made to CIMCO Edit version 5.10.65
  ================================================================ 29/08/06 ==
  
   - Fixed problem moving NC-Base machine directory to/from a 
     sub-directory.

  Changes made to CIMCO Edit version 5.10.64
  ================================================================ 27/08/06 ==

   - Updated NC-Base client.
 
  Changes made to CIMCO Edit version 5.10.63
  ================================================================ 25/08/06 ==
 
   - Updated OEM interface.

   - Updated NC-Base client.

  Changes made to CIMCO Edit version 5.10.62
  ================================================================ 20/08/06 ==
 
   - Added option not to copy associated files when copying a program in 
     NC-Base.

     Ref: Database/Setup/Server Settings/Advanced/Do not copy associated 
						  files on copy

   - Changed NC-Base program copy to prompt before copying/linking associated 
     files.

   - Added support for deleting multiple backups from the NC-Base restore
     dialog.

   - Changed maximum number of NC-Base backups to 1000000.

   - Updated CNC-Calc (Maho)

   - Updated Backplot (Maho)

   - Fixed problem when moving NC-Base base directory, and one or more
     files were waiting on the import queue.

  Changes made to CIMCO Edit version 5.10.61
  ================================================================ 16/08/06 ==
 
   - Added NC-Base 'Family of parts' option.

     Ref: Database/Setup/Server Settings/Advanced/Enable 'Family of parts'

   - Updated backplot.

   - Fixed problem with the NC-Base status changed to updated when auto 
     receiving a file that was identical to the previous version.

  Changes made to CIMCO Edit version 5.10.60
  ================================================================ 16/08/06 ==
 
   - Fixed problem exporting files to NC-Base.
     (Introduced in 5.10.57)

  Changes made to CIMCO Edit version 5.10.59
  ================================================================ 14/08/06 ==

   - Added option to not increment the version number when adding
     an NC-Base change comment.

     Ref: Database/Setup/Server Settings/Logging/ 
          No new version when adding comment

   - Fixed problem adding new pre-defined change comment in NC-Base.

   - Fixed problem with NC-Base not prompting for a change comment when
     editing the program file.
  
   - Fixed problem setting NC-Base version numbers when auto importing 
     associated files.

  Changes made to CIMCO Edit version 5.10.58
  ================================================================ 10/08/06 ==

   - Changed NC-Base to always set the read only attribute on associated when
     opening external files in read-only mode. 
   
  Changes made to CIMCO Edit version 5.10.57
  ================================================================ 10/08/06 ==

   - Added support for running an external command before opening a file.

   - Fixed NC-Base crash when editing program information etc.

  Changes made to CIMCO Edit version 5.10.56
  ================================================================ 05/08/06 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.55
  ================================================================ 21/07/06 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.54
  ================================================================ 21/07/06 ==

   - Internal release.

  Changes made to CIMCO Edit version 5.10.53
  ================================================================ 17/07/06 ==
 
   - Updated CNC-Calc.

   - Added option to move program file to the machine directory when
     copying NC-Base program to a different machine group and 'Allow files
     outside ...' was enabled.
     
   - Added option to make a new copy of the Setup/Tool/Memo files when using
     the NC-Base copy program function.

     Ref: Database/Setup/Server Settings/Advanced/ 
          New Setup / Tool / Memo file on copy

   - Fixed problem with NC-Base setting name of associated setup/memo/tool
     file to the default value when updating file.

   - Fixed problem starting NC-Base server on some Windows 2003 systems.

  Changes made to CIMCO Edit version 5.10.52
  ================================================================ 09/07/06 ==

   - Added option to extract NC-Base program information spanning multiple 
     lines.

     Ref: Database/Setup/Machine/Program Format/Extract From : Multi Line

   - Updated OEM interface.

  Changes made to CIMCO Edit version 5.10.51
  ================================================================ 06/07/06 ==

   - Updated backplot.

  Changes made to CIMCO Edit version 5.10.50
  ================================================================ 02/07/06 ==

   - Updated backplot.

   - Removed message box when running external commands.
  
  Changes made to CIMCO Edit version 5.10.49
  ================================================================ 28/06/06 ==

   - Fixed problem with incorrect page count when printing in raw format.
  
  Changes made to CIMCO Edit version 5.10.48
  ================================================================ 26/06/06 ==
  
   - Added Okuma protocol.

  Changes made to CIMCO Edit version 5.10.47
  ================================================================ 22/06/06 ==

   - Improved CNC-Calc turning support.

   - Fixed problem generating NC-Base tool list for some files.

   - Fixed problem using the compare function on the NC-Base restore dialog
     when 'Allow restore all' was enabled.

  Changes made to CIMCO Edit version 5.10.46
  ================================================================ 18/06/06 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.45
  ================================================================ 14/06/06 ==

   - Added option in NC-Base to allow users to restore the NC program and
     all associated documents in one operation.

     Ref: Database/Setup/Server Settings/Advanced/Allow 'Restore All'

  Changes made to CIMCO Edit version 5.10.41
  ================================================================ 01/06/06 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.10.40
  ================================================================ 30/05/06 ==

   - Updated NC-Base.

  Changes made to CIMCO Edit version 5.10.39
  ================================================================ 25/05/06 ==

   - Updated NC-Base.

  Changes made to CIMCO Edit version 5.10.38
  ================================================================ 22/05/06 ==

   - Updated NC-Base.

  Changes made to CIMCO Edit version 5.10.37
  ================================================================ 17/05/06 ==

   - Updated CNC-Calc.

   - Fixed problem generating NC-Base tool list for some files.

  Changes made to CIMCO Edit version 5.10.36
  ================================================================ 08/05/06 ==

   - Updated backplot.
   
   Notice: NC-Base updated - All NC-Base clients must be updated.

                                                              NC-Base: 5.00.07
  Changes made to CIMCO Edit version 5.10.35
  ================================================================ 27/04/06 ==

   - Updated OEM interface.

  Changes made to CIMCO Edit version 5.10.34
  ================================================================ 23/04/06 ==

   - Updated OEM interface.

   - Updated backplot.

   - Fixed problem with some drill types in the solid simulation.

  Changes made to CIMCO Edit version 5.10.33
  ================================================================ 18/04/06 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.10.32
  ================================================================ 11/04/06 ==

   - Updated backplot.

   - Updated CNC-Calc.

   - Updated NC-Base tool list generator.

   - Fixed problem with files sometimes set to read-only when using the
     'Update files when updating program info' option.

   - Fixed problem with temp files (~CC*.TMP) sometimes created in the 
     machine directories when using the 'Update files when updating 
     program info' option.

  Changes made to CIMCO Edit version 5.10.31
  ================================================================ 29/03/06 ==

   - Fixed problem opening multiple files from Windows Explorer.

  Changes made to CIMCO Edit version 5.10.30
  ================================================================ 22/03/06 ==

   - Updated backplot.

   - Updated CNC-Calc.

   - Fixed problem printing file compare when the two files were identical.

  Changes made to CIMCO Edit version 5.10.29
  ================================================================ 13/03/06 ==

   - Added CNC-Calc high speed pocket.

   - Fixed problem specifying NC-Base server name.

   - Fixed crash in License Key Manager.

  Changes made to CIMCO Edit version 5.10.28
  ================================================================ 03/03/06 ==

   - Added option to keep specified number of decimals when inserting
     macro value.

   - Updated backplot.

   - Fixed problem inserting some macro values.

  Changes made to CIMCO Edit version 5.10.27
  ================================================================ 01/03/06 ==

   - Added support for switching between multiple NC-Base servers.

   - Updated backplot.

   - Updated NC-Base tool list generator.

   - Fixed problem disabling the advanced simulation option.

   - Fixed problem creating MS SQL database.

   Notice: DNC-Max and NC-Base updated, clients needs to be updated.

                                                              NC-Base: 5.00.06
  
  Changes made to CIMCO Edit version 5.10.26
  ================================================================ 02/02/06 ==

   - Updated backplot.

   - Updated CNC-Calc.

   - Fixed problems with incorrect angle values in the toolpath statistics.

   - Fixed problem with solid not loaded with some licenses.

   - Fixed problem specifying the 'Max Lines' value in the NC-Base program
     format setup.

  Changes made to CIMCO Edit version 5.10.25
  ================================================================ 17/01/06 ==

   - Updated backplot.

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.10.24
  ================================================================ 16/01/06 ==

   - Updated backplot.

  Changes made to CIMCO Edit version 5.10.23
  ================================================================ 15/01/06 ==

   - Added option to export toolpath statistics to a text file.

   - Added true type font support in CNC-Calc.

   - Fixed crash causing recently created/updated macros to be lost.

   - Fixed problem with the CNC-Calc pocket generation.

  Changes made to CIMCO Edit version 5.10.22
  ================================================================ 11/01/06 ==

   - Fixed problem associating file types with NC-Base machines/groups.

  Changes made to CIMCO Edit version 5.10.21
  ================================================================ 05/01/06 ==

   - Updated backplot.

   - Fixed problem generating tool list when importing programs with the
     NC-Base database converter.

  Changes made to CIMCO Edit version 5.10.20
  ================================================================ 03/01/06 ==

   - Fixed problem previewing some jpeg files in the NC-Base client.

  Changes made to CIMCO Edit version 5.10.19
  ================================================================ 27/12/05 ==

   - Fixed problems using the specified comment characters in the backplot.

  Changes made to CIMCO Edit version 5.10.18
  ================================================================ 14/12/05 ==

   - Added option to disable auto refresh in the NC-Base preview window.

     Ref: Database/Setup/Client Settings/Disable preview auto refresh

   - Updated backplot.

   - Fixed crash closing editor when using NC-Base MS SQL link.

   - Fixed problem with Mark/Delete range activated by inserting a ' (hyphen).

  Changes made to CIMCO Edit version 5.10.17
  ================================================================ 10/12/05 ==

   - Updated backplot.

  Changes made to CIMCO Edit version 5.10.16
  ================================================================ 06/12/05 ==

   - Updated backplot.

   - Fixed editor focus problem.

   - Fixed problem with toolbars resetting.

  Changes made to CIMCO Edit version 5.10.15
  ================================================================ 28/11/05 ==

   - Added option to force non-modal X/Y/Z values in rotate/mirror/...

   - Updated backplot.

   - Updated CNC-Calc.

   - Fixed problem adding NC-Base tool list in some cases.

   - Fixed problem specifying backplot tool prefix.

   - Fixed problem with the find next/previous tool change commands.

   - Fixed problem with files opened from another program not showing up
     on top.

  Changes made to CIMCO Edit version 5.10.14
  ================================================================ 22/11/05 ==

   - Fixed problem with the toolpath statistics not showing up on some 
     systems.

   - Fixed CNC-Calc crash.

   - Fixed problem selecting output format in CNC-Calc.

  Changes made to CIMCO Edit version 5.10.13
  ================================================================ 21/11/05 ==

   - Added toolpath statistics function, including machining time and 
     extent by tool.

   - Updated CNC-Calc.

   - Updated backplot, including fix for problem with backplot tool/holder 
     sizes.

  Changes made to CIMCO Edit version 5.10.12
  ================================================================ 14/11/05 ==

   - Updated NC-Base tool list generator.

   - Added editor OEM interface.

   - Added warning when using the 'Delete references to non-existing files'
     option in NC-Base.

  Changes made to CIMCO Edit version 5.10.11
  ================================================================ 09/11/05 ==

   - Added support for creating pockets with islands in CNC-Calc.

   - Added support for left/right/center/ellipsis justifying variables.

   - Minor updates to the backplot.        

  Changes made to CIMCO Edit version 5.10.10
  ================================================================ 02/11/05 ==

   - Update CNC-Calc pocket.

   - Fixed CNC-Calc crash.

   - Fixed backplot imperial tool size problem.

  Changes made to CIMCO Edit version 5.10.09
  ================================================================ 27/10/05 ==

   - Added triggers to extract additional for the NC-Base tool list.

   - Added option to select a NC code coloring scheme similar to the
     V4 default.

     Ref: Setup/File Types/Colors/Letter Colors

   - Changed Insert/Remove spaces to include lines with block skip.

   - Minor updates to the backplot.

   - Fixed Editor crash / print crash (Introduced in 5.10.03).

  Changes made to CIMCO Edit version 5.10.08
  ================================================================ 24/10/05 ==

   - Minor updates to the backplot.

  Changes made to CIMCO Edit version 5.10.07
  ================================================================ 18/10/05 ==

   - Added support for showing the pocket tool path in CNC-Calc.

   - Added support for plotting a file from the command line.

   - Added support for Fanuc lathe cycles in the backplot.

   - Added support for specifying size of recent lists.

   - Fixed problem closing the editor in some cases when the NC-Base client
     was loaded.

  Changes made to CIMCO Edit version 5.10.06
  ================================================================ 10/10/05 ==

   - Added option to execute an external command from within the editor.  

  Changes made to CIMCO Edit version 5.10.05
  ================================================================ 02/10/05 ==
  
   - Added pocket operation to CNC-Calc

   - Minor updates and fixes to the backplot.

  Changes made to CIMCO Edit version 5.10.04
  ================================================================ 29/09/05 ==
  
   - Minor updates and fixes to the backplot.

  Changes made to CIMCO Edit version 5.10.03
  ================================================================ 25/09/05 ==
   
   - Added option to run database integrity check from the NC-Base backup
     service.

   - Added support for automatically moving machine(group) base directories.

   - Improved listing of Mazatrol file contents in the NC-Base preview.

   - Fixed problem specifying colors for individual letters.

   - Minor updates and fixes to the backplot.

  Changes made to CIMCO Edit version 5.10.02
  ================================================================ 22/09/05 ==
   
   - Added option to save settings for all user in the same location
     or separately.

     Ref: Setup/Global Setup/Share settings between all users

   - Minor updates and fixes to the backplot.

  Changes made to CIMCO Edit version 5.10.01
  ================================================================ 16/09/05 ==
   
   - Added new backplot with 5-Axis and solid simulation.

   - Changed editor to leave block marking after a block operation.
   
  Changes made to CIMCO Edit version 5.02.35
  ================================================================ 05/09/05 ==
   
   - Fixed problem with file compare when both files changed outside the
     editor.

  Changes made to CIMCO Edit version 5.02.34
  ================================================================ 31/08/05 ==
   
   - DNC-Max update.

  Changes made to CIMCO Edit version 5.02.33
  ================================================================ 30/08/05 ==
   
   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.02.32
  ================================================================ 22/08/05 ==
   
   - Fixed problem with DTR not set when using hardware handshake.

  Changes made to CIMCO Edit version 5.02.31
  ================================================================ 18/08/05 ==

   - Fixed problem with editor also opening executable when opening files
     in some cases.

  Changes made to CIMCO Edit version 5.02.30
  ================================================================ 17/08/05 ==

   - Added option to leave associated files in place and delete only the 
     reference when deleting a file.

     Ref: Database/Setup/Server Settings/Delete assoc. leaves file

     Ref: Database/Setup/Server Settings/Delete assoc. prompt to leave file
   
   - Updated CNC-Calc DXF reader.

   - Updated NC-Base tool list generator.

   - Fixed problem using normal search after searching for a macro.

  Changes made to CIMCO Edit version 5.02.29
  ================================================================ 07/08/05 ==
   
   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.02.28
  ================================================================ 20/07/05 ==

   - Added option to never prompt to copy/move files to the program directory.

     Ref: Database/Setup/Client Settings/Never copy/move files to program dir.
   
   - Fixed problem associating files already in the database using 
     Drag'n'Drop.

  Changes made to CIMCO Edit version 5.02.27
  ================================================================ 19/07/05 ==
   
   - DNC-Max update.

  Changes made to CIMCO Edit version 5.02.26
  ================================================================ 15/07/05 ==

   - Added support for specifying the template to use on the command line.

     Example: Edit.exe /t ISO Mill "File Name"

   - Added support for entering the directory name on the 'Select Directory'
     dialogs.

  Changes made to CIMCO Edit version 5.02.25
  ================================================================ 14/07/05 ==

   - Added option to change NC-Base extensions.

     Ref: Database/Setup/Machines/Advanced/Change Extension

   - Fixed problem extracting NC-Base information from the filename when
     auto importing.

  Changes made to CIMCO Edit version 5.02.24
  ================================================================ 09/07/05 ==
   
   - Added generic NC-Base import utility (NCBaseConvert.exe)

   - Fixed crashes in CNC-Calc.

  Changes made to CIMCO Edit version 5.02.23
  ================================================================ 03/07/05 ==
   
   - DNC-Max update.

  Changes made to CIMCO Edit version 5.02.22
  ================================================================ 30/06/05 ==

   - Changed NC-Base to leave new files open after adding it to the database.

  Changes made to CIMCO Edit version 5.02.21
  ================================================================ 28/06/05 ==

   - Fixed problem starting the editor from some programs.

   - Fixed problem when configuration files contains ASCII 0's

   - Fixed problem adding new programs to the database. 
     (Introduced in 5.02.20)

   - Fixed problem detecting database upgrades.

  Changes made to CIMCO Edit version 5.02.20
  ================================================================ 24/06/05 ==

   - Added support for using the file/path name as input to the 
     NC-Base 'Program Format' triggers.

   - Added support for extracting comments from Mazatrol programs and
     use it as input to the NC-Base 'Program Format' triggers.

   - Added right click context menu to tabs.

   - Added support for restoring backups from older database versions.

   - Added 'DNC Port' column to the NC-Base program list, showing the port
     that received the program.

   - Updated NC-Base link to include name of port that received file in the 
     log.

   - Fixed problem with the macro option 'Insert with sign' when 0 was 
     specified.

   - Fixed problem with database integrity check deleting files waiting
     on the import queue.

   - Fixed problem when adding files twice from the editor and the leave file
     option was disabled.

   - Fixed problem with NC-Assistant updating wrong values.

   - Fixed problem using advanced triggers as start trigger, end trigger
     and ignore trigger in the NC-Base program format setup.

   - Fixed problem enabling the DNC-Max client plug-in.


   Notice: NC-Base and License server updated, all clients and servers must
           be upgraded!

                                                              NC-Base: 5.00.05

  Changes made to CIMCO Edit version 5.02.19
  ================================================================ 17/06/05 ==

   - Changed NC-Base client to automatically shutdown editor after database
     restore.

   - Fixed hang when adding macro parameters by copying macro definition
     from another macro.

   - Fixed problem with files "getting stuck" when user deleted a program
     programs on the import queue without rejecting it first.

   - Fixed problem with the option 'Notify only when program has focus'.

   - Fixed problem restoring database backups when notify option was enabled.

   - Fixed problem with NC-Base program format triggers when triggers
     for empty NC-Base fields were enabled.

  Changes made to CIMCO Edit version 5.02.18
  ================================================================ 16/06/05 ==

   - Added tool compensation to CNC-Calc.

   - Added support for specifying # in macros, using ## or \#

   - Fixed problem using 'Insert Block Skips' when no block skip character
     was specified.

  Changes made to CIMCO Edit version 5.02.17
  ================================================================ 09/06/05 ==

   - Added option to hide NC-Assistant 'Balloons'.

   - Added option to automatically update database information when editing
     NC-File.

     Ref: Database/Setup/Server Settings/Advanced/ 
          Update program info when editing files

   - Added option to automatically update NC-File when updating database 
     information.

     Ref: Database/Setup/Server Settings/Advanced/ 
          Update files when updating program info

     Ref: Database/Setup/Machines/Advanced/Do not update info in file

   - Added option to manually update database information from NC-File. 
     (Right click on program and select: 'Update program info from file').

     Ref: Database/Setup/Client Settings/Advanced/ 
          Show 'Update program info from file'

   - Added option to manually update database information from NC-File. 
     (Right click on program and select: 'Update file with program info').

     Ref: Database/Setup/Client Settings/Advanced/ 
          Show 'Update file with program info'

   - Improved function to insert machine monitoring macros.

  Changes made to CIMCO Edit version 5.02.16
  ================================================================ 31/05/05 ==

   - Fixed crash when closing file, closing editor or printing.

  Changes made to CIMCO Edit version 5.02.15
  ================================================================ 30/05/05 ==

   - Fixed problem with missing button on backplot toolbar (introduced in 
     5.02.14).

   - Fixed crash when closing file compare (introduced in 5.02.13).

  Changes made to CIMCO Edit version 5.02.14
  ================================================================ 26/05/05 ==

   - Added option to un-lock NC-Base programs when marked as 'Ready'

   - Added option to set NC-Base programs read-only when marked as 'Ready'

   - Fixed problem changing NC-Base program status to 'Updated' after 
     setting to read-write by editing program.

   - Fixed problem with un-install removing some configuration 
     information.

   - Fixed crash when using Translate/Rotate/Offset.

  Changes made to CIMCO Edit version 5.02.13
  ================================================================ 13/05/05 ==

   - Added option to insert machine monitoring macros.

   - Fixed problem starting the editor from some programs.

  Changes made to CIMCO Edit version 5.02.12
  ================================================================ 12/05/05 ==

   - Added support for handling UNICODE files.

   - Fixed problem importing machine types from V4.

   - Fixed problem using 'Save All'/'Close All' with CNC-Calc.

  Changes made to CIMCO Edit version 5.02.11
  ================================================================ 10/05/05 ==

   - Added support for manually receiving new programs into NC-Base.

   - Added 'Copy Files' menu to copy files to Floppy/Desktop/Removable drives
     from NC-Base.

   - Added warning message when loading lines longer than 1024 characters.

   - Changed NC-Base client to log only changes when file is saved.

   - Improved NC-Base versioning information.

   - Improved NC-Base version data when upgrading from V4.

   - Fixed problem printing in landscape mode.

   - Fixed problem sorting by custom fields in NC-Base.

   - Fixed problem with no search results showing up until header was clicked.

  Changes made to CIMCO Edit version 5.02.10
  ================================================================ 05/05/05 ==

   - Added support for closing window by clicking middle mouse button/wheel
     on tab bar.

   - Added DNC-Max server name to NC-Base machine group port list.

   - Added support for changing Drag'n'Drop between cut and copy after
     drag started using CTRL key.

   - Updated NC-Base link to log only program information that has been 
     changed.

   - Fixed problem with decimal character on numeric keypad using some
     keyboard mappings.

  Changes made to CIMCO Edit version 5.02.09
  ================================================================ 04/05/05 ==

   - Fixed problem with NC-Base loosing passwords.

  Changes made to CIMCO Edit version 5.02.08
  ================================================================ 22/04/05 ==

   - Added support for generating letters in the CNC-Calc.

  Changes made to CIMCO Edit version 5.02.07
  ================================================================ 18/04/05 ==

   - DNC-Max update.   

  Changes made to CIMCO Edit version 5.02.06
  ================================================================ 12/04/05 ==

   - DNC-Max update.   

   Notice: DNC-Max client protocol updated, clients needs to be updated.

  Changes made to CIMCO Edit version 5.02.05
  ================================================================ 11/04/05 ==
   
   - Fixed backplot crash.

  Changes made to CIMCO Edit version 5.02.04
  ================================================================ 10/04/05 ==
   
   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.02.03
  ================================================================ 09/04/05 ==

   - Fixed installation problem.

  Changes made to CIMCO Edit version 5.02.02
  ================================================================ 06/04/05 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.02.01
  ================================================================ 06/04/05 ==

   - First public release.

  Changes made to CIMCO Edit version 5.01.21
  ================================================================ 05/04/05 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.01.20
  ================================================================ 28/03/05 ==

   - Fixed problem finding some macros.

   - Fixed crash when closing the editor.

   - Fixed crash in CNC-Calc.

   - Fixed problem with machine zero in CNC-Calc.

  Changes made to CIMCO Edit version 5.01.19
  ================================================================ 21/03/05 ==

   - Updated CNC-Calc.

  Changes made to CIMCO Edit version 5.01.18
  ================================================================ 16/03/05 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.01.17
  ================================================================ 03/03/05 ==

   - DNC-Max update.

  Changes made to CIMCO Edit version 5.01.16
  ================================================================ 03/03/05 ==

   - Added CIMCO Remote Support Program.

   - Updated CNC-Calc.

   - Fixed problem restoring NC-Base backups.

  Changes made to CIMCO Edit version 5.01.15
  ================================================================ 01/03/05 ==

   - Fixed NC-Base problem (introduce in 5.01.14).

  Changes made to CIMCO Edit version 5.01.14
  ================================================================ 28/02/05 *=

   - Added option to print only the differences when printing a file compare.

   - Added option to map numeric keypad decimal point to the specified
     machine decimal point.

   - Added option to skip lines without block numbers when renumbering a 
     file.

   - Updated CNC-Calc to support entering values as expressions, ex. 2+1/5.

  Changes made to CIMCO Edit version 5.01.13
  ================================================================ 18/02/05 ==

   - Updated NC-Assistant.

   - Fixed problem moving associated files between programs in NC-Base.

  Changes made to CIMCO Edit version 5.01.12
  ================================================================ 16/02/05 ==

   - Fixed problem backplotting some turning cycles.

  Changes made to CIMCO Edit version 5.01.11
  ================================================================ 08/02/05 ==

   - Fixed problem storing editor configurations in NC-Base.

   - Fixed memory leak (introduced in 5.01.10).

  Changes made to CIMCO Edit version 5.01.10
  ================================================================ 04/02/05 *=

   - Fixed file compare problem.

   - Fixed problem when purging programs awaiting approval.

   - Fixed problem running CNC-Calc in demo mode.

   - Fixed problem with the 'Omit lines containing' option in the DNC setup.

  Changes made to CIMCO Edit version 5.01.09
  ================================================================ 02/02/05 *=

   - Updated CNC-Calc

   - Fixed problem re-loading files changed outside the editor.

  Changes made to CIMCO Edit version 5.01.08
  ================================================================ 26/01/05 ==

   - Updated CNC-Calc

  Changes made to CIMCO Edit version 5.01.07
  ================================================================ 24/01/05 ==

   - Fixed problem auto importing program info from associated files, when
     'Auto add memo/setup/tool files to new programs' was disabled.

   - Fixed problem with file compare on some files.

   - Fixed problem with 'Find Tool Change'.

  Changes made to CIMCO Edit version 5.01.06
  ================================================================ 21/01/05 ==

   - Updated CNC-Calc

  Changes made to CIMCO Edit version 5.01.05
  ================================================================ 19/01/05 ==

   - Fixed system crash when running Norton/Symantec. 

  Changes made to CIMCO Edit version 5.01.04
  ================================================================ 17/01/05 ==

   - NC-Base Update.

  Changes made to CIMCO Edit version 5.01.03
  ================================================================ 16/01/05 ==

   - Updated CNC-Calc

   - Fixed problem with the color configuration.

  Changes made to CIMCO Edit version 5.01.02
  ================================================================ 10/01/05 ==

   - Updated NC-Base install.

  Changes made to CIMCO Edit version 5.01.01
  ================================================================ 10/01/05 ==

   - Initial release.

                                                              NC-Base: 5.00.04

 ==============================================================================
  CIMCO Integration I/S
 ==============================================================================
